from garm_tools.modules.tarantool.metric.metric import AbstractMetrics, TimeitSummary, Info, Gauge, MetricSeverity


class MonitMethodsWorkControl(AbstractMetrics):
    _module = 'garm_tools.methods_work_control'
    _group_name = 'Methods Work Control'

    work_time = TimeitSummary(doc='Stats for work time', labels=['method'])
    current = Info(doc='Current state of method work', labels=['method'])
    overttl = Gauge(doc='Count of failed methods with TTL exceeded', severity=MetricSeverity.major, labels=['method'], max=0,
                    clear_on_get=True)
    killzombie = Gauge(doc='Count of kills zombie methods', severity=MetricSeverity.critical, labels=['method'], max=0, clear_on_get=True)
